/*  "*"  is the universal selector that applies css to all the elements  */
*,::before,::after {
  margin: 0; /*this is to get rid of the extra margin and padding that the browser might add*/
  padding: 0;
  font-family: "Euclid Circular A", sans-serif;
  box-sizing: border-box; /* padding and border of element is included in given height and width*/
}
@import url("https://fonts.cdnfonts.com/css/euclid-circular-a");
/* this line imports an external font library so that i can use it in my website */
.background {
  background: url(https://f1soft.com/img/bg_about.jpg); 
  height: 500px;
  width: 100%;
  background-repeat: no-repeat;
}


.navbar-resp {
  display: none;
}

.nav-container {
  display: flex;
  width: 100%;
  justify-content: center;
}
.navbar {
  justify-content: center;
  align-items: center;
  width: 80%;
  display: flex;
}
.lefthalf-nav img {
  height: 80px;
}
.lefthalf-nav {
  /* padding-left: 40px; */
  height: 150px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  width: 20%;
}
.righthalf-nav {
    
  height: 150px;
  width: 80%;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  list-style: none;
  font-weight: 500;
}
.righthalf-nav li a{
    text-decoration: none;

  color: white;
}
.righthalf-nav li a:hover {
  color: maroon;
  transition: 0.5s;
}
.textbox {
  letter-spacing: 1px;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 50%;
  color: white;
}
.dropdown-container{
  position: relative;
  z-index: 1;
}

.dropdown-menu {
  /* display: flex; */
  height: 10px;
  width: 20px;
  justify-content: space-around;
  flex-direction: column;
  opacity: 0;
  position: absolute;
  top: 100%;
  left: 0;
  list-style: none;
  font-size: 15px;
  line-height: 0px;
}

.dropdown-container::before{
  /* display: none; */
  position: absolute;
  top: 100px;
  z-index: -1;
  left: -800px;
  content: "";
  width: 100vw;
  background-color: rgba(0, 0, 0, 0.8);
  height: 340px;
  transform: translateY(-540px);

}
.dropdown-container:hover::before{
transform: translateY(-220px);
transition: 0.6s;
width: 200vw;


}


.dropdown-menu-business{
  /* display: flex; */
  height: 10px;
  width: 500px;
  opacity: 0;

  flex-wrap: wrap;
  justify-content: space-between;
  font-size: 15px;
  line-height: 0px;

  position: absolute;
  top: 100%;
  left: 0;
} 
.dropdown-menu-business ul{
  list-style: none;

}


.dropdown-container:hover .dropdown-menu {
  display: block;
  opacity: 1;
  transition: 0.4s ;
  line-height: 32px;

}
.dropdown-container:hover .dropdown-menu-business{
  display: flex;
  opacity: 1;
  line-height: 35px;

  transition: 0.4s;


}

.textbox h1 {
  font-weight: 100;
}

.container {
  width: 100%;
  justify-content: center;
  display: flex;
  align-items: center;
  flex-direction: column;
}
.text {
  padding: 100px 0 100px 0;
  width: 80%;
}
.text h1 {
  letter-spacing: 1px;
  font-size: 2rem;
  font-weight: 500;
  text-align: center;
  line-height: 50px;
}
.cards {
  margin-bottom: 100px;
  width: 80%;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  align-items: center;
}
.card-content {
  height: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.card-content img {
  object-fit: contain;
  height: 70px;
  width: 70px;
  padding: 5px;
}
.card-content h2 {
  padding: 10px;
}
.card-content p {
  color: #828282;
  padding: 30px;
  font-size: 18px;
  text-align: center;
}
.grid-container {
  width: 100%;
  display: flex;
}

.leftblock {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  width: 400px;
  background-color: #1b1f25;
  z-index: 4;
  /* grid-column: 1;
  grid-row: 1 / span 2; */
}

.right-block {
  display: flex;
  flex-direction: column;
}
.top-right-content {
  display: flex;
}
.img1,
.img2 {
  width: 50%;
}
/* .img1 { 
     grid-column: 2;
  grid-row: 1 ;
 }
.img2 {
     grid-column: 3;
grid-row:1;
} */
.img1,
.img2,
.img3 {
  overflow: hidden;
  color: white;
  height: 390px;
  position: relative;
}
/* .img3 {
  grid-column: 2 / span 2;
  grid-row: 2;
} */

.img1 img,
.img2 img,
.img3 img {
  box-shadow: 0px -103px 67px 9px rgba(0, 0, 0, 0.32) inset;

  height: 390px;
  object-fit: cover;
  width: 100%;
}
.featured-text {
  font-size: 20px;
  font-weight: 600;
  z-index: 1;
  bottom: 20%;
  left: 10%;
  position: absolute;
}
.featured-inner-text {
  width: 80%;
  bottom: 7%;
  left: 10%;
  position: absolute;
  opacity: 0;
}
.img1:hover > .featured-inner-text {
  opacity: 1;
  transform: translateY(-40px);
  transition: 0.8s;
}
.img2:hover > .featured-inner-text {
  opacity: 1;
  transform: translateY(-40px);
  transition: 0.8s;
}
.img3:hover > .featured-inner-text {
  opacity: 1;
  transform: translateY(-40px);
  transition: 0.8s;
}

.featured-text::after {
  background-image: url(fast-forward.png);
  background-size: 10px 10px;
  display: inline-block;
  width: 10px;
  height: 10px;
  content: "";
  margin-left: 20px;
  visibility: hidden;
}
.img1:hover > .featured-text::after {
  transition: 0.6s;
  visibility: visible;
  transform: translateY(-40px);
  transform: translateX(40px);
}
.img2:hover > .featured-text::after {
  transition: 0.6s;
  visibility: visible;
  transform: translateY(-40px);
  transform: translateX(40px);
}
.img3:hover > .featured-text::after {
  transition: 0.6s;
  visibility: visible;
  transform: translateY(-40px);
  transform: translateX(40px);
}

.img1 div img,
.img2 div img,
.img3 div img {
  margin-left: 15px;
  height: 15px;
  width: 15px;
}

.img1:hover > .featured-text {
  transition: 0.6s;
  transform: translateY(-40px);
}
.img2:hover > .featured-text {
  transition: 0.6s;
  transform: translateY(-40px);
}
.img3:hover > .featured-text {
  transition: 0.6s;
  transform: translateY(-40px);
}

.leftblock li {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  font-style: italic;
  font-size: 22px;
  padding: 20px;
  font-weight: 600;
  color: #898c91;
  list-style: none;
}
.leftblock li:hover {
  color: white;
  transform: translate(20px);
  transition: 0.7s;
}
.leftblock li:hover > .featured-block {
  visibility: visible;
  /* transition: 0.7s; */
}
.leftblock li:hover > .featured-image {
  visibility: visible;
}
.leftblock li img {
  visibility: hidden;
  height: 12px;
  padding-left: 10px;
}

.featured-block {
  visibility: hidden;
  height: 35px;
  width: 5px;
  background-color: maroon;
}

.img1::before {
  position: absolute;
  top: 0;
  left: -70%;
  z-index: 2;
  display: block;
  content: "";
  height: 100%;
  background: linear-gradient(
    90deg,
    hsla(0, 0%, 100%, 0) 0,
    hsla(0, 0%, 100%, 0.3)
  );
  transform: skewX(-25deg);
  width: 50%;
}
.img1:hover::before {
  transition: 0.5s;
  left: 100%;
}
.img2::before {
  position: absolute;
  top: 0;
  left: -70%;
  z-index: 1;
  display: block;
  content: "";
  height: 100%;
  background: linear-gradient(
    90deg,
    hsla(0, 0%, 100%, 0) 0,
    hsla(0, 0%, 100%, 0.3)
  );
  transform: skewX(-25deg);
  width: 50%;
}
.img2:hover::before {
  transition: 0.5s;
  left: 100%;
}
.img3::before {
  position: absolute;
  top: 0;
  left: -70%;
  z-index: 2;
  display: block;
  content: "";
  height: 100%;
  background: linear-gradient(
    90deg,
    hsla(0, 0%, 100%, 0) 0,
    hsla(0, 0%, 100%, 0.3)
  );
  transform: skewX(-25deg);
  width: 50%;
}
.img3:hover::before {
  transition: 0.5s;
  left: 100%;
}

.second-container {
  width: 80%;
  display: flex;
  padding: 100px 0 50px 0;
  /* height: 100%; */
}
.left-content {
  padding: 25px;
  width: 50%;
  box-shadow: 0px -400px 61px 53px rgba(0, 0, 0, 0.45) inset;
  background: url(https://api.f1soft.com/images/impact/impact51611570145);
  height: 700px;
  background-size: cover;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}
.left-text {
  font-weight: 100;
  color: white;
  font-size: 20px;
}
.left-name {
  font-weight: 600;
  padding: 10px 0 10px 0;
  font-size: 18px;
  color: white;
}
.leftbox-button button {
  float: right;
  font-weight: 500;
  background-color: transparent;
  border: 2px solid white;
  color: white;
  width: 100px;
  height: 40px;
  border-radius: 5px;
}
.leftbox-button button:hover {
  background-color: white;
  color: maroon;
}
.arrowbuttons {
  padding: 20px;
  display: flex;
  justify-content: flex-end;
}
.arrow {
  margin-left: 40px;
  height: 20px;
}

.right-content {
  height: 700px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 50%;

  margin-left: 40px;
}
.right-content h2 {
  font-size: 40px;
}
.news-image {
  margin-right: 10px;
  border-radius: 10px;
  height: 90px;
  width: 90px;
  object-fit: cover;
}
.newsbox {
  width: 100%;
  display: flex;
}
.news-date {
  font-size: 14px;
  color: #c8c6c6;
}
.news-text {
  width: 90%;
  font-size: 18px;
}
.button button {
  font-weight: 500;
  border: 2px solid maroon;
  color: maroon;
  background-color: white;
  height: 50px;
  width: 150px;
  padding: 5px;
  border-radius: 5px;
}
.button button:hover {
  transition: 0.4s;
  background-color: maroon;
  color: white;
}
.news-detail {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.footer {
  padding: 40px 0 40px 0;
  display: flex;
  width: 80%;
}
.leftfooter {
  width: 70%;
  display: flex;
  flex-direction: column;
}
.right-footer {
  width: 30%;
}

.logos {
  flex-wrap: wrap;
  display: flex;
}

.logo {
  padding: 15px;
  height: 70px;
}

.footer-container {
  background-color: #f2f3f5;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.heading {
  font-size: 20px;
  font-weight: 600;
  color: #777777;
}
.foot {
  color: #8c90a1;
  font-size: 15px;
  padding: 20px 0 20px 0;
}

.contact-us,
.follow-us {
  font-size: 20px;
  font-weight: 600;
  color: #777777;
}

.location {
  padding: 22px 0 22px 0;
  color: #777777;
}
.location span {
  color: maroon;
}

.social {
  display: flex;
}
.social-logo {
  height: 40px;
  padding: 5px;
}

@media only screen and (max-width: 768px) {
  .cards {
    grid-template-columns: 1fr;
  }
  .leftblock {
    display: none;
  }
  .top-right-content {
    flex-direction: column;
  }
  .img1,
  .img2 {
    width: 100%;
  }
  .second-container {
    flex-direction: column;
  }
  .left-content {
    width: 100%;
  }
  .right-content {
    padding: 50px 15px 50px 15px;
    width: 100%;
    margin-left: 0;
    align-items: center;
  }
  .footer {
    flex-direction: column;
  }
  .right-footer {
    width: 100%;
  }
  .nav-container {
    display: none;
  }

  .container {
    /* width: 90%; */
    margin: auto;
  }

  .navbar-resp {
    display: block;
    width: 100%;
    /* box-shadow: 0 1px 4px rgb(146 161 176 / 15%); */
  }

  .nav-container-resp {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 62px;
  }

  .navbar-resp .menu-items {
    display: flex;
  }

  .navbar-resp .nav-container-resp li {
    list-style: none;
  }

  .navbar-resp .nav-container-resp a {
    text-decoration: none;
    color: #0e2431;
    font-weight: 500;
    font-size: 1.2rem;
    padding: 0.7rem;
  }

  .navbar-resp .nav-container-resp a:hover {
    font-weight: bolder;
  }

  .nav-container-resp {
    display: block;
    position: relative;
    height: 60px;
  }

  .nav-container-resp .checkbox {
    position: absolute;
    display: block;
    height: 32px;
    width: 32px;
    top: 20px;
    left: 20px;
    z-index: 5;
    opacity: 0;
    cursor: pointer;
  }

  .nav-container-resp .hamburger-lines {
    display: block;
    height: 26px;
    width: 32px;
    position: absolute;
    top: 17px;
    left: 20px;
    z-index: 2;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  .nav-container-resp .hamburger-lines .line {
    display: block;
    height: 4px;
    width: 100%;
    border-radius: 10px;
    background: white;
  }

  .nav-container-resp .hamburger-lines .line1 {
    transform-origin: 0% 0%;
    transition: transform 0.4s ease-in-out;
  }

  .nav-container-resp .hamburger-lines .line2 {
    transition: transform 0.2s ease-in-out;
  }

  .nav-container-resp .hamburger-lines .line3 {
    transform-origin: 0% 100%;
    transition: transform 0.4s ease-in-out;
  }

  .navbar-resp .menu-items {
    padding-top: 120px;
    box-shadow: inset 0 0 2000px rgba(255, 255, 255, 0.5);
    height: 100vh;
    width: 100%;
    transform: translate(-150%);
    display: flex;
    flex-direction: column;
    margin-left: -40px;
    padding-left: 50px;
    transition: transform 0.5s ease-in-out;
    text-align: center;
    background-color: white;
  }

  .navbar-resp .menu-items li {
    margin-bottom: 1.2rem;
    font-size: 1.5rem;
    font-weight: 500;
  }
  .logo-nav {
    padding: 10px;
  }
  .logo-nav img {
    display: flex;
    height: 40px;
    justify-content: flex-end;
    float: right;
  }

  .nav-container-resp input[type="checkbox"]:checked ~ .menu-items {
    transform: translateX(0);
  }

  .nav-container-resp input[type="checkbox"]:checked ~ .hamburger-lines .line1 {
    transform: rotate(45deg);
  }

  .nav-container-resp input[type="checkbox"]:checked ~ .hamburger-lines .line2 {
    transform: scaleY(0);
  }

  .nav-container-resp input[type="checkbox"]:checked ~ .hamburger-lines .line3 {
    transform: rotate(-45deg);
  }

  .nav-container-resp input[type="checkbox"]:checked ~ .logo {
    display: none;
  }
  .textbox h2 {
    text-align: center;
  }
  .featured-text {
    font-size: 25px;
    font-style: italic;
  }
}

@media only screen and (max-width: 425px) {
  .cards {
    grid-template-columns: 1fr;
    gap: 8rem;
  }

  .second-container {
    width: 100%;
  }
  .background {
    height: 320px;
  }
  .text h1 {
    line-height: 35px;
  }
  .featured-text::after {
    display: none;
  }
  .featured-inner-text {
    display: none;
  }
  .left-text {
    font-size: 16px;
  }
  .news-text {
    font-size: 15px;
    
  }
}
